Summary:	User-friendly text console file manager and visual shell
Name:		mc
Version:	4.7.0.2
Release:	3%{?dist}
Epoch:		1
License:	GPLv2
Group:		System Environment/Shells
# downloaded from http://www.midnight-commander.org/downloads/28
Source0:	mc-%{version}.tar.bz2
URL:		http://www.midnight-commander.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glib2-devel e2fsprogs-devel slang-devel gpm-devel
Requires:	dev >= 3.3-3

Patch0:		mc-extensions.patch

%description
Midnight Commander is a visual shell much like a file manager, only
with many more features. It is a text mode application, but it also
includes mouse support. Midnight Commander's best features are its
ability to FTP, view tar and zip files, and to poke into RPMs for
specific files.

%prep
%setup -q
%patch0 -p1 -b .extensions

%build
export CFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE $RPM_OPT_FLAGS"
%configure	--with-screen=slang \
		--enable-charset \
		--with-samba \
		--without-x \
		--with-gpm-mouse \
		--disable-rpath \
		--enable-vfs-mcfs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR="$RPM_BUILD_ROOT"

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install contrib/{mc.sh,mc.csh} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc doc/FAQ doc/COPYING doc/NEWS doc/README
%{_bindir}/mc
%{_bindir}/mcedit
%{_bindir}/mcmfmt
%{_bindir}/mcview
%{_datadir}/mc/*
%attr(4711, vcsa, root) %{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/mc*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/mc.1*
%lang(hu) %{_mandir}/hu/man1/mc.1*
%lang(it) %{_mandir}/it/man1/mc.1*
%lang(pl) %{_mandir}/pl/man1/mc.1*
%lang(ru) %{_mandir}/ru/man1/mc.1*
%lang(sr) %{_mandir}/sr/man1/mc.1*
%{_sysconfdir}/profile.d/*
%config %{_sysconfdir}/mc/Syntax
%config %{_sysconfdir}/mc/mc.charsets
%config %{_sysconfdir}/mc/mc.lib
%config(noreplace) %{_sysconfdir}/mc/mc.ext
%config(noreplace) %{_sysconfdir}/mc/*edit*
%config(noreplace) %{_sysconfdir}/mc/mc.keymap*
%config(noreplace) %{_sysconfdir}/mc/mc.menu*
%config(noreplace) %{_sysconfdir}/mc/*.ini
%config(noreplace) %{_sysconfdir}/mc/extfs/*.ini
%dir %{_datadir}/mc
%dir %{_sysconfdir}/mc
%dir %{_sysconfdir}/mc/extfs
%dir %{_libexecdir}/mc


%changelog

